Subject: Re: Re: DHCID and the use of MD5 [Re: LastCall:'Resolution of FQDN Conflicts among DHCP Clients' to Proposed Standard]

From: Ted Lemon <[email-masked]>
Date: Sun, 4 Dec 2005 22:01:55 -0700

On Sunday 04 December 2005 21:42, Jeffrey Hutzelman wrote:
> In order the update mechanism to work
> without requiring either an advance query or multiple update attempts, all
> possible updaters must agree in advance on the type in use.  This lack of
> negotiation seems problematic to me, even in the absence of multiple hash
> algorithms.

The whole point of this protocol is that the rendezvous point is the DNS.   So 
if you make the algorithm for computing the DHCID variable based on a 
configuration setting on the DHCP server, then you have to accept  that two 
DHCP servers that are configured to use different hash algorithms will not 
interoperate.   This is not currently the case with the different DHCID 
types, because the algorithm used depends on what the client sends, and we 
can safely assume that the client will always send the same thing; if it does 
not, then according to RFC2131/2132, it is not the same client.